# beep

Beep beep!

Usage

    beep [-p=<pitch>] [-d=<duration>] [-s] [;volume]

Description

Beeps (when possible :D)
...
No, really...
This command rings the bell on the keyboard (the PC speaker). The volume must be in range 0-100; the default is 100.
The pitch is specified in Hz and must be positive.
The duration is specified in milliseconds.
An invalid (or unspecified) pitch, volume or duration makes KVIrc to use the default values set by the system.
The duration of the bell is only indicative and can be shortened by a subsequent call to /beep (that will override the currently playing one).
If the -s switch is specified the bell becomes synchronous: KVIrc waits the bell to complete before continuing.
The precision of the bell pitch, duration and volume is strongly dependant on the system and the underlying hardware.
On Windows, the bell is always synchronous and it is not event granted that the bell will be a bell at all... you might get the system default sound instead... On some security-enchanced Windows variants (2008 Server, Seven and possibly some 64-bit Vista builds) the access to the PC speaker may be silently denied so don't be surprised too much if you don't hear any sound at all on such systems...
WARNING
The main KVIrc thread is stopped while a synchronous bell is playing so if you play long notes (duration > 100) the entire application may appear to freeze for a while. Be careful :)

Switches

-p=<pitch:uint> | --pitch=<pitch:uint>
Sets the bell to the specified pitch, if possible
-d=<duration:uint> | --duration=<duration:uint>
Sets the duration of the beep to <duration> milliseconds
-s | --synchronous
Causes KVIrc to wait for completion of the beeping before returning from this command

Syntax Specification

    beep [-p=<pitch:uint>] [-d=<duration:uint>] [-s] [volume:uint]

See also
snd.play

Index, Commands

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Jul 22 18:18:08 2013